Create a Plug&Charge key
curl --request POST \
--url https://{environment}.plugsurfing.com/drive/v1/users/{userId}/charging-keys/plug-and-charge \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"pcid": "WDBRF61J21F123456",
"contractId": "DE-8PS-C0AD21B13-Q"
}
'import requests
url = "https://{environment}.plugsurfing.com/drive/v1/users/{userId}/charging-keys/plug-and-charge"
payload = {
"pcid": "WDBRF61J21F123456",
"contractId": "DE-8PS-C0AD21B13-Q"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({pcid: 'WDBRF61J21F123456', contractId: 'DE-8PS-C0AD21B13-Q'})
};
fetch('https://{environment}.plugsurfing.com/drive/v1/users/{userId}/charging-keys/plug-and-charge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.plugsurfing.com/drive/v1/users/{userId}/charging-keys/plug-and-charge",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pcid' => 'WDBRF61J21F123456',
'contractId' => 'DE-8PS-C0AD21B13-Q'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{environment}.plugsurfing.com/drive/v1/users/{userId}/charging-keys/plug-and-charge"
payload := strings.NewReader("{\n \"pcid\": \"WDBRF61J21F123456\",\n \"contractId\": \"DE-8PS-C0AD21B13-Q\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{environment}.plugsurfing.com/drive/v1/users/{userId}/charging-keys/plug-and-charge")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"pcid\": \"WDBRF61J21F123456\",\n \"contractId\": \"DE-8PS-C0AD21B13-Q\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.plugsurfing.com/drive/v1/users/{userId}/charging-keys/plug-and-charge")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"pcid\": \"WDBRF61J21F123456\",\n \"contractId\": \"DE-8PS-C0AD21B13-Q\"\n}"
response = http.request(request)
puts response.read_body{
"contractId": "DE-8PS-C0AD21B13-Q",
"pcid": "WDBRF61J21F123456",
"keyId": "DE-8PS-C0AD21B13-Q"
}{
"message": "Invalid request payload",
"fields": [
{
"name": "pcid",
"message": "PCID must be 17-18 alphanumeric characters",
"rejectedValue": "invalid"
}
]
}{
"message": "Resource not found"
}{
"message": "A charging key for this EMAID already exists"
}{
"message": "Internal server error"
}Charging keys
Create a Plug&Charge key
Creates a Plug&Charge charging key for a user.
POST
/
drive
/
v1
/
users
/
{userId}
/
charging-keys
/
plug-and-charge
Create a Plug&Charge key
curl --request POST \
--url https://{environment}.plugsurfing.com/drive/v1/users/{userId}/charging-keys/plug-and-charge \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"pcid": "WDBRF61J21F123456",
"contractId": "DE-8PS-C0AD21B13-Q"
}
'import requests
url = "https://{environment}.plugsurfing.com/drive/v1/users/{userId}/charging-keys/plug-and-charge"
payload = {
"pcid": "WDBRF61J21F123456",
"contractId": "DE-8PS-C0AD21B13-Q"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({pcid: 'WDBRF61J21F123456', contractId: 'DE-8PS-C0AD21B13-Q'})
};
fetch('https://{environment}.plugsurfing.com/drive/v1/users/{userId}/charging-keys/plug-and-charge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.plugsurfing.com/drive/v1/users/{userId}/charging-keys/plug-and-charge",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pcid' => 'WDBRF61J21F123456',
'contractId' => 'DE-8PS-C0AD21B13-Q'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{environment}.plugsurfing.com/drive/v1/users/{userId}/charging-keys/plug-and-charge"
payload := strings.NewReader("{\n \"pcid\": \"WDBRF61J21F123456\",\n \"contractId\": \"DE-8PS-C0AD21B13-Q\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{environment}.plugsurfing.com/drive/v1/users/{userId}/charging-keys/plug-and-charge")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"pcid\": \"WDBRF61J21F123456\",\n \"contractId\": \"DE-8PS-C0AD21B13-Q\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.plugsurfing.com/drive/v1/users/{userId}/charging-keys/plug-and-charge")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"pcid\": \"WDBRF61J21F123456\",\n \"contractId\": \"DE-8PS-C0AD21B13-Q\"\n}"
response = http.request(request)
puts response.read_body{
"contractId": "DE-8PS-C0AD21B13-Q",
"pcid": "WDBRF61J21F123456",
"keyId": "DE-8PS-C0AD21B13-Q"
}{
"message": "Invalid request payload",
"fields": [
{
"name": "pcid",
"message": "PCID must be 17-18 alphanumeric characters",
"rejectedValue": "invalid"
}
]
}{
"message": "Resource not found"
}{
"message": "A charging key for this EMAID already exists"
}{
"message": "Internal server error"
}Authorizations
API key for authentication
Path Parameters
The unique identifier of the user who will own the new Plug&Charge key
Body
application/json
Plug&Charge key creation request
Request payload to register a plug-and-charge contract identifier.
Response
Plug&Charge key created successfully
Result payload after registering a Plug&Charge contract.
in EMA-ID format, must correspond to the Plug&Charge contract certificate.
Plug&Charge vehicle identifier (PCID). Is also used as referenceId of the charging key.
Plug&Charge keys use the contractId (in EMA-ID format) as the keyIdentifier used for referencing in other endpoints
Example:
"DE-8PS-CT4UN7OZ3-2"